> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getAllPayPeriods

> 
The `getAllPayPeriods` API retrieves all active pay periods for a company across supported pay period types.

### What it does:

- Returns all active pay periods for the specified company
- Includes Regular, Missing, Off-Cycle, and Severance pay periods
- Supports optional filtering by **payPeriodStatus** and **workerType**

### Notes:

- **companyId** is required
- When **payPeriodStatus** is omitted, the API returns pay periods across all of the active statuses
- When **workerType** is omitted, the API returns pay periods for both W2s and 1099-NEC



## OpenAPI

````yaml get /reports/getAllPayPeriods
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getAllPayPeriods:
    get:
      tags: []
      summary: getAllPayPeriods
      description: >-

        The `getAllPayPeriods` API retrieves all active pay periods for a
        company across supported pay period types.


        ### What it does:


        - Returns all active pay periods for the specified company

        - Includes Regular, Missing, Off-Cycle, and Severance pay periods

        - Supports optional filtering by **payPeriodStatus** and **workerType**


        ### Notes:


        - **companyId** is required

        - When **payPeriodStatus** is omitted, the API returns pay periods
        across all of the active statuses

        - When **workerType** is omitted, the API returns pay periods for both
        W2s and 1099-NEC
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodStatus:
                  type: string
                  enum:
                    - new
                    - submitted
                    - inProcess
                    - cancelled
                    - returned
                    - pending
                    - processed
                    - failed
                workerType:
                  type: string
                  enum:
                    - W2
                    - 1099-NEC
              required:
                - method
                - companyId
            example:
              method: getAllPayPeriods
              companyId: 2DFCA586-C2D4-4FD7-B823-063F2575A5E7
              payPeriodStatus: new
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payPeriods:
                    type: array
                    items:
                      type: object
                      properties:
                        payPeriodId:
                          type: string
                        payPeriod:
                          type: string
                        payPeriodType:
                          type: string
                        payBeginDate:
                          type: string
                        payEndDate:
                          type: string
                        payDate:
                          type: string
                        deadLineToRunPayroll:
                          type: string
                        payPeriodStatus:
                          type: string
                        workerType:
                          type: string
                      required:
                        - payPeriodId
                        - payPeriod
                        - payPeriodType
                        - payBeginDate
                        - payEndDate
                        - payDate
                        - deadLineToRunPayroll
                        - payPeriodStatus
                        - workerType
                required:
                  - payPeriods
              example:
                payPeriods:
                  - payPeriodId: 080EA408-D041-4C43-A745-9337AAEB9EAF
                    payPeriod: 09/17/2025 - 09/23/2025
                    payPeriodType: Regular
                    payBeginDate: '2025-09-17'
                    payEndDate: '2025-09-23'
                    payDate: '2026-03-11'
                    deadLineToRunPayroll: '2025-09-19'
                    payPeriodStatus: new
                    workerType: 1099-NEC
                  - payPeriodId: EDCDB86C-337A-4CA9-88AB-48750BE757D4
                    payPeriod: 03/16/2026 - 03/31/2026
                    payPeriodType: Regular
                    payBeginDate: '2026-03-16'
                    payEndDate: '2026-03-31'
                    payDate: '2026-03-31'
                    deadLineToRunPayroll: '2026-03-27'
                    payPeriodStatus: new
                    workerType: W2
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: CompanyId is mandatory
          headers: {}
      deprecated: false
      security: []

````